changeset 402:88814d3c0c8b

Merge remote-tracking branch 'github/master' into not-linux
author Dan McGregor <dan.mcgregor@usask.ca>
date Tue, 05 Jan 2016 10:08:14 -0600
parents 99f93dec8fea (current diff) 3437e2246259 (diff)
children 98c896e00f9f
files Scan/ISSILed/exampleAPI.bash Scan/STLcd/exampleAPI.bash
diffstat 4 files changed, 28 insertions(+), 11 deletions(-) [+]
line wrap: on
line diff
--- a/Debug/cli/cli.c	Mon Aug 10 14:49:46 2015 -0600
+++ b/Debug/cli/cli.c	Tue Jan 05 10:08:14 2016 -0600
@@ -159,15 +159,12 @@
 			}
 			else
 			{
-			// Only do command-related stuff if there was actually a command
-			// Avoids clogging command history with blanks
+				// Add the command to the history
+				CLI_saveHistory( CLILineBuffer );
 
 				// Process the current line buffer
 				CLI_commandLookup();
 
-				// Add the command to the history
-				CLI_saveHistory( CLILineBuffer );
-
 				// Keep the array circular, discarding the older entries
 				if ( CLIHistoryTail < CLIHistoryHead )
 					CLIHistoryHead = ( CLIHistoryHead + 1 ) % CLIMaxHistorySize;
@@ -425,6 +422,11 @@
 		return;
 	}
 
+        // Don't write empty lines to the history
+        const char *cursor = buff;
+        while (*cursor == ' ') { cursor++; } // advance past the leading whitespace
+        if (*cursor == '\0') { return ; }
+
 	// Copy the line to the history
 	int i;
 	for (i = 0; i < CLILineBufferCurrent; i++)
--- a/Scan/ISSILed/exampleAPI.bash	Mon Aug 10 14:49:46 2015 -0600
+++ b/Scan/ISSILed/exampleAPI.bash	Tue Jan 05 10:08:14 2016 -0600
@@ -3,9 +3,15 @@
 # Virtual Serial Port API Example
 # Jacob Alexander 2015
 
+if [ $# -eq 0 ]; then
+  echo "You must specify your virtual serialport. (/dev/ttyACM0 on linux, /dev/cu.usbmodemXXXX on OSX)"
+  echo "  ex: $0 /dev/ttyACM0"
+  exit 1
+fi
 # XXX Set this to match your virtual serialport
-# TODO Show examples for Mac OSX and Cygwin/Windows
-SERIALPORT=/dev/ttyACM0
+# TODO Show examples for Cygwin/Windows
+# For Mac OSX it will be something like /dev/cu.usbmodem1413 (number may differ)
+SERIALPORT=$1
 
 # NOTE: Make sure you don't write too quickly to the serial port, it can get overwhelmed by a modern computer
 #       Generally this just means commands will get ignored
--- a/Scan/STLcd/bitmap2Struct.py	Mon Aug 10 14:49:46 2015 -0600
+++ b/Scan/STLcd/bitmap2Struct.py	Tue Jan 05 10:08:14 2016 -0600
@@ -19,7 +19,7 @@
 import sys
 
 from array import *
-from PIL import Image
+from PIL import Image # Use pillow instead of PIL, it works with Python 3
 
 
 # Convenience class to deal with converting images to a C array
@@ -110,7 +110,10 @@
 		return display
 
 
-filename = "ic_logo_lcd.bmp"
+filename = sys.argv[1]
+if filename is None:
+	print( "You must specify a bitmap filename. Try './bitmap2Struct.py ic_logo_lcd.bmp'" )
+	sys.exit( 1 )
 max_height = 32
 max_width = 128
 x_offset = 0
--- a/Scan/STLcd/exampleAPI.bash	Mon Aug 10 14:49:46 2015 -0600
+++ b/Scan/STLcd/exampleAPI.bash	Tue Jan 05 10:08:14 2016 -0600
@@ -3,9 +3,15 @@
 # Virtual Serial Port API Example
 # Jacob Alexander 2015
 
+if [ $# -eq 0 ]; then
+  echo "You must specify your virtual serialport. (/dev/ttyACM0 on linux, /dev/cu.usbmodemXXXX on OSX)"
+  echo "  ex: $0 /dev/ttyACM0"
+  exit 1
+fi
 # XXX Set this to match your virtual serialport
-# TODO Show examples for Mac OSX and Cygwin/Windows
-SERIALPORT=/dev/ttyACM0
+# TODO Show example for Cygwin/Windows
+# For Mac OSX it will be something like /dev/cu.usbmodem1413 (number may differ)
+SERIALPORT=$1
 
 # NOTE: Make sure you don't write too quickly to the serial port, it can get overwhelmed by a modern computer
 #       Generally this just means commands will get ignored